org.springframework.beans.support

## Class ResourceEditorRegistrar

- java.lang.Object
- - org.springframework.beans.support.ResourceEditorRegistrar

All Implemented Interfaces:
  PropertyEditorRegistrar

    public class ResourceEditorRegistrar
    extends Object
    implements PropertyEditorRegistrar

PropertyEditorRegistrar implementation that populates a given `PropertyEditorRegistry` (typically a `BeanWrapper` used for bean creation within an `ApplicationContext`) with resource editors. Used by `AbstractApplicationContext`.

Since:
  2.0
Author:
  Juergen Hoeller, Chris Beams

### Constructor Summary

Constructors
Constructor and Description
`ResourceEditorRegistrar(ResourceLoader resourceLoader)` Deprecated. as of Spring 3.1 in favor of `ResourceEditorRegistrar(ResourceLoader, PropertyResolver)`
`ResourceEditorRegistrar(ResourceLoader resourceLoader, PropertyResolver propertyResolver)` Create a new ResourceEditorRegistrar for the given ResourceLoader

### Method Summary

Methods
`void` `registerCustomEditors(PropertyEditorRegistry registry)` Populate the given `registry` with the following resource editors: ResourceEditor, InputStreamEditor, InputSourceEditor, FileEditor, URLEditor, URIEditor, ClassEditor, ClassArrayEditor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceEditorRegistrar

    @Deprecated
    public ResourceEditorRegistrar(ResourceLoader resourceLoader)

Deprecated. as of Spring 3.1 in favor of `ResourceEditorRegistrar(ResourceLoader, PropertyResolver)`
Create a new ResourceEditorRegistrar for the given `ResourceLoader` using a `StandardEnvironment`.

Parameters:
  `resourceLoader` - the ResourceLoader (or ResourcePatternResolver) to create editors for (usually an ApplicationContext)
See Also:
  `ResourcePatternResolver`, `ApplicationContext`

#### ResourceEditorRegistrar

    public ResourceEditorRegistrar(ResourceLoader resourceLoader,
                           PropertyResolver propertyResolver)

Create a new ResourceEditorRegistrar for the given ResourceLoader

Parameters:
  `resourceLoader` - the ResourceLoader (or ResourcePatternResolver) to create editors for (usually an ApplicationContext)
See Also:
  `ResourcePatternResolver`, `ApplicationContext`

### Method Detail

#### registerCustomEditors

    public void registerCustomEditors(PropertyEditorRegistry registry)

Populate the given `registry` with the following resource editors: ResourceEditor, InputStreamEditor, InputSourceEditor, FileEditor, URLEditor, URIEditor, ClassEditor, ClassArrayEditor.

If this registrar has been configured with a `ResourcePatternResolver`, a ResourceArrayPropertyEditor will be registered as well.

Specified by:
  `registerCustomEditors` in interface `PropertyEditorRegistrar`
Parameters:
  `registry` - the `PropertyEditorRegistry` to register the custom `PropertyEditors` with
See Also:
  `ResourceEditor`, `InputStreamEditor`, `InputSourceEditor`, `FileEditor`, `URLEditor`, `URIEditor`, `ClassEditor`, `ClassArrayEditor`, `ResourceArrayPropertyEditor`